function rgb,inr,ing,inb,normal=normal

r = inr
g = ing
b = inb

normal = keyword_set(normal)
if normal then begin
  r = r * 255.0d
  g = g * 255.0d
  b = b * 255.0d
endif

if max([r,g,b]) gt 255 or min([r,g,b]) lt 0 then begin
  rangestr = normal ? '0.00 to 1.00' : '0 to 255' 
  message,'values must range from '+rangestr,/informational
  r = (r > 0) < 255
  g = (g > 0) < 255
  b = (b > 0) < 255
endif

return, 256l*256l*long(b) + 256l*long(g) + long(r)

end
